Package ghidra.app.util.importer

# Class SingleLoaderFilter

java.lang.Object
ghidra.app.util.importer.SingleLoaderFilter

All Implemented Interfaces:
  `Predicate<Loader>`

public class SingleLoaderFilter extends Object implements Predicate<Loader>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleLoaderFilter(Class<? extends Loader> single)`
  Create a new single loader filter from the given loader class.
  `SingleLoaderFilter(Class<? extends Loader> single, List<Pair<String,String>> loaderArgs)`
  Create a new single loader filter from the given loader class and loader command line argument list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Pair<String,String>>`
  `getLoaderArgs()`
  Gets the loader arguments tied to the loader in this filter.
  `boolean`
  `test(Loader loader)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Predicate

  `and, negate, or`

- ## Constructor Details

  - ### SingleLoaderFilter

    public SingleLoaderFilter(Class<? extends Loader> single)
    Create a new single loader filter from the given loader class.
    Parameters:
      `single` - The loader class used for this filter.

  - ### SingleLoaderFilter

    public SingleLoaderFilter(Class<? extends Loader> single, List<Pair<String,String>> loaderArgs)
    Create a new single loader filter from the given loader class and loader command line argument list.
    Parameters:
      `single` - The loader class used for this filter.
      `loaderArgs` - The loader arguments used for this filter. Could be null if there are not arguments.

- ## Method Details

  - ### getLoaderArgs

    public List<Pair<String,String>> getLoaderArgs()
    Gets the loader arguments tied to the loader in this filter.
    Returns:
      The loader arguments tied to the loader in this filter. Could be null if there are no arguments.

  - ### test

    public boolean test(Loader loader)
    Specified by:
      `test` in interface `Predicate<Loader>`